Incoming emails showing incorrect time stamp in inbox listing

RESOLVED EXPIRED

Status

RESOLVED EXPIRED
16 years ago
13 years ago

People

(Reporter: smlovell, Unassigned)

Tracking

Trunk
x86
Windows 2000

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

16 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030507
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030507

On receiving new email from my POP3 account (everything from here is from the
same POP3 account), am seeing time stamp (Date field in Inbox) showing incorrect
time.

e.g. email from Bugzilla just now: (some data snipped for security etc)

<cite>
From - Wed May 28 20:50:40 2003
X-UIDL: snip
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Return-Path: <nobody@mozilla.org>
Received: from engine.ieee.org 
          by mta4-svc.business.ntl.com
          (InterMail vM.4.01.03.37 201-229-121-137-20020806) with ESMTP
          id [snipped].business.ntl.com@engine.ieee.org>
          for <[myISPAccount]>; Wed, 28 May 2003 22:49:57 +0100
	for <smlovell@ieee.org>; Wed, 28 May 2003 17:47:53 -0400 (EDT)
Received: from mothra.mozilla.org (mothra.mozilla.org [207.200.81.216])
	by orion2.ieee.org (Switch-2.2.6/Switch-2.2.5) with ESMTP id [snipped]
	for <smlovell@ieee.org>; Wed, 28 May 2003 17:49:52 -0400 (EDT)
Received: from mothra.mozilla.org (localhost [127.0.0.1])
	by mothra.mozilla.org with ESMTP id [snipped]
	for <smlovell@ieee.org>; Wed, 28 May 2003 14:49:53 -0700 (PDT)
Received: (from nobody@localhost)
	by mothra.mozilla.org  [snipped];
	Wed, 28 May 2003 14:49:52 -0700 (PDT)
Date: Wed, 28 May 2003 14:49:52 -0700 (PDT)
Message-Id: [snipped]
From: bugzilla-admin-daemon@mozilla.org
To: smlovell@ieee.org
Subject:  Bugzilla Change Password Request
</cite>

(Emails to my IEEE address are forwarded to my ISP account)

However, my system time was ~22:50 (which appears in the above - 5th line of
Received: header data). My System time is GMT with "Automatically adjust clock
for daylight saving changes" ticked in the Date/Time properties applet.

If I telnet 25 to my ISP account and send myself an email, the message is
received by Mozilla and shows an incorrect time in the Inbox:

<cite>
From - Wed May 28 21:08:35 2003
X-UIDL: <20030528220802.FPGA14037.mta5-svc.business.ntl.com@[80.1.25.33]>
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Return-Path: <myEmailAddressAtISP>
Received: from [80.1.25.33] by mta5-svc.business.ntl.com
          (InterMail vM.4.01.03.37 201-229-121-137-20020806) with SMTP
          id <[snipped].mta5-svc.business.ntl.com@[80.1.25.33]>
          for <myEmailAddressAtISP>; Wed, 28 May 2003 23:08:02 +0100
Message-Id: <[snipped].mta5-svc.business.ntl.com@[80.1.25.33]>
Date: Wed, 28 May 2003 23:08:08 +0100
From: <myEmailAddressAtISP>

test via telnet 25
</cite>

I sent the above at about 23:08 (give or take a few seconds)

The bad message time is propagated if I forward a received email to either
myself or another person.

But in Outlook Express all email times are correct in the inbox. Ditto for KMail
(RedHat 7.3).

Please forgive me if the above is a very simple problem that I should not be
bothering anyone with, but I'm stuck. Any ideas?

Thank you in advance,

S Lovell

Reproducible: Always

Steps to Reproduce:
1. Compose a message to myself
2. Send it
3. Receive it.
4. Look at the Date field in the Inbox.

Actual Results:  
From time in message source is shown as wrong. Correct time appears amongst
message headers.

Expected Results:  
Displayed the correct time of the message.
(Reporter)

Comment 1

16 years ago
I forgot to mention that the problem first appeared when using 1.4a in the past
three days. Yesterday I moved to 1.4b and the problem remained.

Today I have rolled back to 1.3.1, and (so far) the time stamp of incomming
email is OK.

However the only email I have rec'd is from myself. I shall have to wait to see
by the end of today whether the problem really has gone. One test will be when I
receive a copy of this comment via Bugzilla. Will post result here.
(Reporter)

Comment 2

16 years ago
Email from Bugzilla (above comment) shows correct time in Mozilla 1.3.1
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3.1) Gecko/20030425] Inbox.

But does this prove there is a problem?

Comment 3

16 years ago
S.Lovell: Please refer to bug 173242 comment 2 for a possible explanation to 
your problem.
(Reporter)

Comment 4

16 years ago
RE: Additional Comment #3 From Mike Cowperthwaite  2003-05-29 21:53

This is not applicable.

The problem manifests itself in Mozilla 1.4a, 1.4b only.

OE and Mozilla 1.3.1 are fine. I did not alter any time/date settings on the
computer between tests.

But I am running NTFS.
(Reporter)

Comment 5

16 years ago
I have just moved to 1.4 RC1 and the problem is back.

Time for a rollback, I think :(
(Reporter)

Comment 6

16 years ago
I have just tried 1.4rc1 AGAIN, after 1.3 navigator started freezing whenever I
entered URL.

The problem of time stamps being truetime-2hrs is still there, but I have
noticed something that I did not before.

In an email received today when using 1.3, the header of the email contains the
following line:

Date : 16/06/2003 13:56

After installing 1.4rc1 just now, and sending myself an email, I see the following:

Date : 20:02.

Time is truetime-2hrs, and there is no date, just a time.

Very strange.

I would like to keep using Mozilla, but need stability. I cannot use 1.3.1, as a
plugin I need ceases to work. And with the problems I have been having with 1.3,
 I need 1.4 to work.

Has *anyone* got any ideas on the next step to try and diagnose this problem?

In the fields above this text box, it states:

<cite>
sspitzer@netscape.com (Seth Spitzer (busy with 1.4 and on vacation, will get
back to the trunk soon))
</cite>

Well, this *is* 1.4, and in their absence is there anyone else looking at their
messages from Bugzilla?


Regards etc.

Comment 7

16 years ago
It is normal for Mozilla to display mail from "today" with the time only, in the 
thread pane (list of messages) and on the header panel of the message body pane. 
When you look at the same mail tomorrow, it will show the date.

In the headers of the mail sent by Mozilla, the Date: header should be quite 
extensive, including time, day, date and timezone.

Part of my difficulty in understanding this bug is that, in the original report, 
you show a bunch of headers, but didn't say what the displayed time was.  When 
Mozilla is "showing incorrect time," just what time is it showing?

You make a mention of your system's clock, but that has nothing to do with the 
information in the message -- the displayed date for the mail is derived from 
the Date: header, and that header is created by the program that *sent* the 
mail.  If you are seeing a discrepancy between the Date: header and the 
displayed time, please post what the Date: header is *and* what time is 
displayed.
Summary: Incomming emails showing incorrect time stamp in inbox isting → Incoming emails showing incorrect time stamp in inbox listing
(Reporter)

Comment 8

16 years ago
Created attachment 125886 [details]
1.4RC1 inbox shot for email sent at 08:19

Email sent at 08:19 (my system clock) sent to pop3 account, then received. Note
time of email in picture.
(Reporter)

Comment 9

16 years ago
Created attachment 125887 [details]
OE inbox showing email sent at 08:19

Email sent at 08:19 (my system clock) sent to pop3 account, then received. Note
time of email in picture.
(Reporter)

Comment 10

16 years ago
A picture paints a thousand words, or so they say. I hope the two new
attachments help to explain the problem.

The Email was sent from my system at 08:19 British Summer Time. When received in
OE, time of email appears correctly. In 1.4RC1 the time is incorrect by two hours.

In Moz1.3 this problem does not occur. In upgrading from 1.3 to 1.4rc1 I use
Windows uninstall applet from the Control Panel, and then remove the remains of
the mozilla directory in the "Program Files" dir. Then I reboot. Then install
1.4rc1.

If I [View]->[Message Source] in 1.4rc1 for this test email, I get the following:

<1.4rc1_messageHeaders>
From - Wed Jun 18 06:20:26 2003
X-UIDL: <snipped>
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Received: from [217.8.240.16] (helo=golf.rb.xcalibre.co.uk)
	by <snipped>
	id <snipped>
	for <snipped>.uk; Wed, 18 Jun 2003 08:19:48 +0100
Envelope-to: smlovell@lovell-online.net
Received: from [217.8.240.35] (helo=yankee.rb.xcalibre.co.uk ident=1001)
	by <snipped>
	id <snipped>
	for <snipped>; Wed, 18 Jun 2003 08:18:11 +0100
Received: from <snipped> (helo=<snipped>.net)
	by <snipped>
	id <snipped>
	for <snipped>.net; Wed, 18 Jun 2003 07:19:19 +0000
Message-ID: <snipped>.net>
Date: Wed, 18 Jun 2003 06:20:07 -0100
From: Stephen Lovell <smlovell@lovell-online.net>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030529
X-Accept-Language: en
MIME-Version: 1.0
To: Stephen Lovell 
Subject: Test 18/06 #1
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
X-UIDL: <snipped>
</1.4rc1_messageHeaders>

Here are the headers as provided by OE

<OE_messageHeaders>
Received: from [217.8.240.16] (helo=golf.rb.xcalibre.co.uk)
	by aladdin.rb.xcalibre.co.uk with esmtp (Exim 3.36 #5)
	id <snipped>
	for <snipped>; Wed, 18 Jun 2003 08:19:48 +0100
Envelope-to: <snipped>
        Received: from [217.8.240.35] (helo=yankee.rb.xcalibre.co.uk ident=1001)
	by golf.rb.xcalibre.co.uk with esmtp (Exim 3.34 #3)
	id <snipped>
	for <snipped>; Wed, 18 Jun 2003 08:18:11 +0100
Received: from [<snipped>] (helo=<snipped>)
	by yankee.rb.xcalibre.co.uk with esmtp (Exim 3.33 #3)
	id <snipped>
	for <snipped>; Wed, 18 Jun 2003 07:19:19 +0000
Message-ID: <snipped>
Date: Wed, 18 Jun 2003 06:20:07 -0100
From: Stephen Lovell <snipped>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030529
X-Accept-Language: en
MIME-Version: 1.0
To: Stephen Lovell <smlovell@lovell-online.net>
Subject: Test 18/06 #1
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
X-UIDL: <snipped>
Status: RO
</OE_messageHeaders>

Is this any use?

Comment 11

16 years ago
(You don't need to post all headers in the future; only the Date: header is 
applicable.  Similarly, you don't need to post screenshots, just copy the date 
string from the header pane of the message and paste that in.)

If your system is configured for BST, the Date: header should show "+0100" (as 
in the Received headers), rather than "-0100"  (I'm assuming here that the email 
was generated on your computer -- if it's coming from some system in the Azores, 
there's no problem.)  That's the source of the two-hour discrepancy.

What is the Date: header generated by OE?  By Moz1.3?  If you send OE-gen'd mail 
to both clients, do you see the same discrepancy, or is the problem only for 
mail generated by Moz1.4?
(Reporter)

Comment 12

16 years ago
I thought thoroughness would be appreciated (re header inclusion). My appologies
if said thoroughness impacted on your available time.

>If your system is configured for BST

It is.

>if it's coming from some system in the Azores, 

It is not.

>If you send OE-gen'd mail 
>to both clients, do you see the same discrepancy,
>or is the problem only for mail generated by Moz1.4?

Discrepancy only present in 1.4. As I have stated elsewhere in this thread.

Problem only for email generated by Moz1.4. See comments #4 and #6.

Ximian Evolution (under RH9) also shows correct header information, when Moz1.4
does not.

Regards etc.


Comment 13

16 years ago
You didn't answer the questions; try again.  Don't get snippy if you expect any 
further help with your problem.

>> If you send OE-gen'd mail to both clients, do you see the same discrepancy,
>> or is the problem only for mail generated by Moz1.4?
> Discrepancy only present in 1.4. As I have stated elsewhere in this thread.
> Problem only for email generated by Moz1.4.

In the original report, you talk about incorrectly display of mail from Bugzilla 
and from telneting directly to your mailserver.  That is not mail generated by 
Moz1.4.

> See comments #4 and #6.

Those comments do not state which client generated the email; you might have 
meant that mail from *any* source is being displayed incorrectly in Mozilla 1.4, 
as noted above.


Did you actually *try* sending email from Outlook Express and reading it both 
clients, and sending email from Moz1.4 and reading it in both clients, and 
noting which of those four conditions show the time discrepancy?  To solve this 
problem, that is the test that needs to be done, and you are the person who has 
to do it because you are the person (the only person, as far as I know) who is 
having this problem.  When that test is done, post the results: for each sending 
client, show the Date: header, and the text of the displayed message date as 
seen in each receiving client.
Product: Browser → Seamonkey

Updated

14 years ago
Assignee: sspitzer → mail
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → EXPIRED
You need to log in before you can comment on or make changes to this bug.